# NOTE: gem install benchmark-ipsが必要です
require 'benchmark/ips'

Benchmark.ips do |bench|
  bench.report("Without capacity") do
    some_string = 'a' * 1000
    result      = String.new

    100.times { result << some_string }
  end

  bench.report("With capacity") do
    some_string = 'a' * 1000
    result      = String.new(capacity: 100000)

    100.times { result << some_string }
  end

  bench.compare!
end
